# Contrast Design Bootstrap 5 UI Kit Library

> Well crafted Bootstrap 5 UI kit Library featuring over 2000+ basic components and 10000+ premium components for building mobile-first, responsive webistes and web apps using clean UI components

[![NPM](https://img.shields.io/npm/v/cdbootstrap.svg)](https://www.npmjs.com/package/cdbootstrap) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)
![npm](https://img.shields.io/npm/dm/cdbootstrap)

## Install via NPM

```bash
npm install --save cdbootstrap
```

or

## Install via YARN

```bash
yarn add cdbootstrap
```
or

## Install via CDN

Installation via CDN is one of the easiest methods of integrating CDBootstrap with your project. 

Just copy the latest compiled JS script tag and CSS link tag to the application.

 Add cdbootstrap to your project from our cdn directly into your html file

 ### CSS
```jsx
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/cdbootstrap/css/bootstrap.min.css" />

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/cdbootstrap/css/cdb.min.css"/>
```

### JS

```jsx  
<script src="https://cdn.jsdelivr.net/npm/cdbootstrap/js/bootstrap.min.js"></script>

<script src="https://cdn.jsdelivr.net/npm/cdbootstrap/js/popper.min.js"></script>

<script src="https://cdn.jsdelivr.net/npm/cdbootstrap/js/cdb.min.js"></script>

```

## Documentation for components

- [Check out the documentation here](https://www.devwares.com/docs/contrast/javascript/index)
- [Alert](https://www.devwares.com/docs/contrast/javascript/components/alert/)
- [Autocomplete](https://www.devwares.com/docs/contrast/javascript/components/autocomplete/)
- [Accordion](https://www.devwares.com/docs/contrast/javascript/components/accordion/)
- [Animation](https://www.devwares.com/docs/contrast/javascript/components/animations/)
- [Badges](https://www.devwares.com/docs/contrast/javascript/components/badge/)
- [Breadcrumb](https://www.devwares.com/docs/contrast/javascript/components/breadcrumb/)
- [Box](https://www.devwares.com/docs/contrast/javascript/components/box/)
- [ButtonGroup](https://www.devwares.com/docs/contrast/javascript/components/buttonGroup/)
- [Button](https://www.devwares.com/docs/contrast/javascript/components/buttons/)
- [ButtonToolbar](https://www.devwares.com/docs/contrast/javascript/components/buttonToolbar/)
- [Carousel](https://www.devwares.com/docs/contrast/javascript/components/carousel/)
- [Checkbox](https://www.devwares.com/docs/contrast/javascript/components/checkbox/)
- [Collapse](https://www.devwares.com/docs/contrast/javascript/components/collapse/)
- [DatePicker](https://www.devwares.com/docs/contrast/javascript/components/datepicker/)
- [Card](https://www.devwares.com/docs/contrast/javascript/components/card/)
- [Footer](https://www.devwares.com/docs/contrast/javascript/components/footer/)
- [DataTable](https://www.devwares.com/docs/contrast/javascript/components/datatables/)
- [DropDown](https://www.devwares.com/docs/contrast/javascript/components/dropdown/)
- [Icon](https://www.devwares.com/docs/contrast/javascript/components/icon/)
- [Input](https://www.devwares.com/docs/contrast/javascript/components/input/)
- [InputGroup](https://www.devwares.com/docs/contrast/javascript/components/inputgroup/)
- [ListGroup](https://www.devwares.com/docs/contrast/javascript/components/listgroup/)
- [Iframe](https://www.devwares.com/docs/contrast/javascript/components/iframe/)
- [Mask](https://www.devwares.com/docs/contrast/javascript/components/mask/)
- [Multiselect](https://www.devwares.com/docs/contrast/javascript/components/multiselect/)
- [Pane](https://www.devwares.com/docs/contrast/javascript/components/pane/)
- [Notification](https://www.devwares.com/docs/contrast/javascript/components/notification/)
- [Forms](https://www.devwares.com/docs/contrast/javascript/components/forms/)
- [Modal](https://www.devwares.com/docs/contrast/javascript/components/modal/)
- [PopOver](https://www.devwares.com/docs/contrast/javascript/components/popover/)
- [Panel](https://www.devwares.com/docs/contrast/javascript/components/panels/)
- [Progress](https://www.devwares.com/docs/contrast/javascript/components/progress/)
- [Radio](https://www.devwares.com/docs/contrast/javascript/components/radio/)
- [Rating](https://www.devwares.com/docs/contrast/javascript/components/rating/)
- [Select](https://www.devwares.com/docs/contrast/javascript/components/select/)
- [Slider](https://www.devwares.com/docs/contrast/javascript/components/slider/)
- [Select 2](https://www.devwares.com/docs/contrast/javascript/components/select2/)
- [Spinner](https://www.devwares.com/docs/contrast/javascript/components/spinner/)
- [Switch](https://www.devwares.com/docs/contrast/javascript/components/switch/)
- [Stepper](https://www.devwares.com/docs/contrast/javascript/components/stepper/)
- [Table](https://www.devwares.com/docs/contrast/javascript/components/table/)
- [Navbar](https://www.devwares.com/docs/contrast/javascript/navigation/navbar/)
- [Pagination](https://www.devwares.com/docs/contrast/javascript/navigation/pagination/)
- [Tab](https://www.devwares.com/docs/contrast/javascript/navigation/tabs/)
- [Sidebar](https://www.devwares.com/docs/contrast/javascript/navigation/sidebar/)
- [TimePicker](https://www.devwares.com/docs/contrast/javascript/sections/timepicker/)
- [Fixed DataTable](https://www.devwares.com/docs/contrast/javascript/table/fixed_datatables/)
- [DataTable](https://www.devwares.com/docs/contrast/javascript/table/datatables/)
- [Widgets](https://www.devwares.com/docs/contrast/javascript/widgets/)
- [Forms](https://www.devwares.com/docs/contrast/javascript/forms/)

# Demo

## Admin template Pages

<a href="https://www.devwares.com/product/bootstrap-admin-contrast">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800617/s1_opnshi.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/product/bootstrap-admin-contrast">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800671/s2_yw3dmx.png" width="80%" height="auto"/>
</a>

## Carousel

<a href="https://www.devwares.com/docs/contrast/javascript/components/carousel">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800447/carousel_gu7ooz.gif"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/components/iframe">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800599/iframe_ck7tdd.png" width="80%" height="auto"/>
</a>

## Dashboards

<a href="https://www.devwares.com/product/bootstrap-admin-contrast">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800575/dash1_ccd7xr.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/product/bootstrap-admin-contrast">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800596/dash2_bvzv7z.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/product/bootstrap-admin-contrast">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800576/dash3_tfcfuf.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/product/bootstrap-admin-contrast">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800566/dash4_kvqco1.png" width="80%" height="auto"/>
</a>

## Cards

<a href="https://www.devwares.com/docs/contrast/javascript/components/card">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800622/carrd2_tf4wtd.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/components/card">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800563/card_lp8nzr.png" width="80%" height="auto"/>
</a>

## Buttons

<a href="https://www.devwares.com/docs/contrast/javascript/components/buttons">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800644/button_pspxqb.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/components/buttons">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800644/button2_h3anyq.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/components/buttons">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800645/button3_fvm1sw.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/components/buttons">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800645/button4_lsqt1r.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/components/buttons">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800561/button5_t7bbqz.png" width="80%" height="auto"/>
</a>

## Sidebar

<a href="https://www.devwares.com/docs/contrast/javascript/navigation/sidebar">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800631/sidebar_vh4r4s.gif"/>
</a>

## Footer

<a href="https://www.devwares.com/docs/contrast/javascript/components/footer">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800579/footer_wxryi3.png" width="80%" height="auto"/>
</a>

## Widget

<a href="https://www.devwares.com/docs/contrast/javascript/widgets">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800642/widget1_uiuxby.png"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/widgets">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800640/widget2_jlwv1u.png"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/widgets">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800640/widget3_mmvxqy.png"/>
</a>

## Modal

<a href="https://www.devwares.com/docs/contrast/javascript/components/modal">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800627/modal_1_qgfjha.gif" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/chart">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800617/polar_fcq8bx.gif" width="80%" height="auto"/>
</a>

## Stepper

<a href="https://www.devwares.com/docs/contrast/javascript/components/stepper">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800637/stepper_vy3cz6.gif" width="80%" height="auto"/>
</a>

## Badge

<a href="https://www.devwares.com/docs/contrast/javascript/components/badge">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800642/bag1_ho7wzy.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/components/badge">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800642/bag2_frbyce.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/components/badge">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800642/bag3_pn29fi.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/components/badge">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800642/bag4_vn7oao.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/components/badge">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800643/bag5_acs6nj.png" width="80%" height="auto"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/chart">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800571/Dynamic_bar_j1hlky.gif" width="80%" height="auto"/>
</a>

## Form

<a href="https://www.devwares.com/docs/contrast/javascript/forms">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800603/form_uxe9qq.png"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/forms">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800579/form_4_oo00es.png"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/forms">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800582/forms6_ycmpao.png"/>
</a>

<a href="https://www.devwares.com/docs/contrast/javascript/forms">
<img src="https://res.cloudinary.com/devwares/image/upload/v1610800582/forms5_ixmrox.png"/>
</a>

# Browser support

## Browsers supported

|         | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="Edge / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>IE / Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Opera |
| ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Mac     | N/A                                                                                                                                                                                                               | supported                                                                                                                                                                                                         | supported                                                                                                                                                                                                     | supported                                                                                                                                                                                                     | supported                                                                                                                                                                                                 |
| Windows | supported                                                                                                                                                                                                         | supported                                                                                                                                                                                                         | supported                                                                                                                                                                                                     | N/A                                                                                                                                                                                                           | supported                                                                                                                                                                                                 |



## Premium Version

[Contrast Design Bootstrap Premium](https://www.devwares.com/product/javscript/bootstrap-contrast-pro)

## License

See License in &lt;license.pdf&gt; © [Devwares](https://github.com/Devwares)

## Support Devwares

### Follow us on Social Media

- [Twitter](https://twitter.com/devwares?s=09)
- [Facebook](https://www.facebook.com/Devwares-102291481719158/)
- [Instagram](https://instagram.com/devwares)
- [Linkedin](https://www.linkedin.com/company/devwares)
- [Youtube](https://www.youtube.com/channel/UCl0MxA8KB7EdmPcSsVwT3pQ)

### Check out and star our GitHub repository

- [Github](https://github.com/Devwares-Team/contrast-bootstrap)
- Create pull requests
- Submit bugs
- Suggest new features
- Help us Improve our documentation with updates


Thank you for all the contributions!
